curl -X POST \--url 'https://openapi.keysecure.io/api/mpc/tron/delegate?app_id=16a9f17fc2ad61ca4339fdd6a8a37f21&data=SWYYr-LBVAmaS0eq8n-CUT_nHkM3OBxyWOsImMTe41UaqAoYI2ZghmaphXHov-7hsRsVmOhyPqC-JFuRGvonJKFd2Jirxv6Vn_8V40r_MMYTkhqcviQbZWYW5xX8Ai8CIpqas9fIWVDIYA_NKBl0UCJpwGxscxLNpjq5Z8-BTyIYDsVBquM9zEQGBCfcA7szD9n2fN_loSkoexlwqV8wg9HIZO5yQ6utZ_Kt0lNDQQb8zn8BwfAvsEsbJlOINUAqhxh1vV_AJ4bXn2uYx8TaYcBht-n_ZcBdxIDt975dbOFUiH-oCzIuDi1oLDtb4EylfCvhU5E4ozel_lQ-6cyIG0Dqiiyx0RFFOCJzPSXIoV031pvoa8pTCpkWklh8mRw1rylBgeZtqSxpnJO2_u2RIlXq6Hs8Yly9CmhIXaSrUgPir0h6xVxlf4VC6PFVCkiiTlp0kZ_H_UbKm0nUis3v3U2sflWJ2C449waSrikhuxVrFAQ6PQmrFVCAE6MYXNrFXJQuam2HAIQNSGbFQjspw8b_bXyfyZMGZ3K2oBC4I_v3eETTdPe0pfSNJb-5g37K0tOAr_UFbWK8pkC8yl56fSjn8tcR3yCRWwoi8jxTcUBiswTtvXZtzgG4dyzkaHXjsZjSGiywXSqP76VZWlyOmAx6IDSViLcPLPISdU3ruCI'
{ "trans_id": 1}
Tron Resource
Purchase TRON Network Transaction Resources
Purchase TRON resources via API without burning TRX to complete the transaction.
POST
/
api
/
mpc
/
tron
/
delegate
curl -X POST \--url 'https://openapi.keysecure.io/api/mpc/tron/delegate?app_id=16a9f17fc2ad61ca4339fdd6a8a37f21&data=SWYYr-LBVAmaS0eq8n-CUT_nHkM3OBxyWOsImMTe41UaqAoYI2ZghmaphXHov-7hsRsVmOhyPqC-JFuRGvonJKFd2Jirxv6Vn_8V40r_MMYTkhqcviQbZWYW5xX8Ai8CIpqas9fIWVDIYA_NKBl0UCJpwGxscxLNpjq5Z8-BTyIYDsVBquM9zEQGBCfcA7szD9n2fN_loSkoexlwqV8wg9HIZO5yQ6utZ_Kt0lNDQQb8zn8BwfAvsEsbJlOINUAqhxh1vV_AJ4bXn2uYx8TaYcBht-n_ZcBdxIDt975dbOFUiH-oCzIuDi1oLDtb4EylfCvhU5E4ozel_lQ-6cyIG0Dqiiyx0RFFOCJzPSXIoV031pvoa8pTCpkWklh8mRw1rylBgeZtqSxpnJO2_u2RIlXq6Hs8Yly9CmhIXaSrUgPir0h6xVxlf4VC6PFVCkiiTlp0kZ_H_UbKm0nUis3v3U2sflWJ2C449waSrikhuxVrFAQ6PQmrFVCAE6MYXNrFXJQuam2HAIQNSGbFQjspw8b_bXyfyZMGZ3K2oBC4I_v3eETTdPe0pfSNJb-5g37K0tOAr_UFbWK8pkC8yl56fSjn8tcR3yCRWwoi8jxTcUBiswTtvXZtzgG4dyzkaHXjsZjSGiywXSqP76VZWlyOmAx6IDSViLcPLPISdU3ruCI'
0: System estimation - full delegation, 1: Specified quantity, 2: System estimation - supplementary delegation, default is 0 if not specified.
All methods comply with minimum purchase value limits:
Minimum bandwidth purchase quantity: 300
Minimum energy purchase quantity: 10,000
1. System Estimation - Full delegation (buy_type=0)
Required fields: address_to and contract_address.
he system will automatically estimate the total resources needed for the current transaction plus a certain buffer. For example, if the user requests an energy proxy for a USDT transfer and the system estimates the required energy to be 64,285, the purchase amount will be 64,285 + 115 = 64,400 to ensure the transaction is successfully completed.
Note: The system estimation may be affected by Tron network fluctuations. If the transaction fails due to insufficient estimation, please switch to the Specified Quantity (buy_type=1) method.
2. System estimation - supplementary delegation (buy_type=2)
Required fields: address_to and contract_address.
This method only affects energy purchase quantities (bandwidth purchase estimation for buy_type=2 is the same as buy_type=0).
The system will calculate the remaining energy required based on the current address balance and slightly supplement it to ensure successful transactions. For example, if the user requests an energy proxy for a USDT transfer and the system estimates the required energy to be 64,285 while the current address has 10,000 energy, the purchase amount will be 64,285 - 10,000 + 115 = 54,400 to ensure smooth completion.
Note: The system estimation may be affected by Tron network fluctuations. If the transaction fails due to insufficient estimation, please switch to the Specified Quantity (buy_type=1) method.
3. Specified quantity (buy_type=1)
Users can customize the resource purchase quantity.
Resource purchase type: 0: Energy and Bandwidth, 1: Energy, default if not specified
If you choose to purchase bandwidth (resource_type=0), please note the following:1.The minimum purchase quantity is 300.2.Each bandwidth purchase order will incur a fixed additional fee of 560, which covers the bandwidth cost required for initiating delegation and recovery by the system. For example, if you request to purchase 600 bandwidth units, the total bandwidth amount for the order will be 600 + 560 = 1,160.
If buy_type=1, please enter the specific bandwidth amount, with a minimum value of 300.
If buy_type=0 or 2,, the quantity will be automatically provided by the system.
Please note that each bandwidth purchase order will incur a fixed additional fee of 560 to cover the bandwidth cost for system-initiated proxy and recovery processes. For example, if you enter a purchase amount of 600 bandwidth, the total bandwidth for the order will be 600 + 560 = 1160.
curl -X POST \--url 'https://openapi.keysecure.io/api/mpc/tron/delegate?app_id=16a9f17fc2ad61ca4339fdd6a8a37f21&data=SWYYr-LBVAmaS0eq8n-CUT_nHkM3OBxyWOsImMTe41UaqAoYI2ZghmaphXHov-7hsRsVmOhyPqC-JFuRGvonJKFd2Jirxv6Vn_8V40r_MMYTkhqcviQbZWYW5xX8Ai8CIpqas9fIWVDIYA_NKBl0UCJpwGxscxLNpjq5Z8-BTyIYDsVBquM9zEQGBCfcA7szD9n2fN_loSkoexlwqV8wg9HIZO5yQ6utZ_Kt0lNDQQb8zn8BwfAvsEsbJlOINUAqhxh1vV_AJ4bXn2uYx8TaYcBht-n_ZcBdxIDt975dbOFUiH-oCzIuDi1oLDtb4EylfCvhU5E4ozel_lQ-6cyIG0Dqiiyx0RFFOCJzPSXIoV031pvoa8pTCpkWklh8mRw1rylBgeZtqSxpnJO2_u2RIlXq6Hs8Yly9CmhIXaSrUgPir0h6xVxlf4VC6PFVCkiiTlp0kZ_H_UbKm0nUis3v3U2sflWJ2C449waSrikhuxVrFAQ6PQmrFVCAE6MYXNrFXJQuam2HAIQNSGbFQjspw8b_bXyfyZMGZ3K2oBC4I_v3eETTdPe0pfSNJb-5g37K0tOAr_UFbWK8pkC8yl56fSjn8tcR3yCRWwoi8jxTcUBiswTtvXZtzgG4dyzkaHXjsZjSGiywXSqP76VZWlyOmAx6IDSViLcPLPISdU3ruCI'
{ "trans_id": 1}
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Keysecure","colors":{"primary":"#2662FF","light":"#2662FF","dark":"#2662FF"},"logo":{"light":"https://mintcdn.com/keysecure-en/eBz-T3c5poQpcHLw/logo/KeySecure%20Logo%20-%20Original%201.svg?fit=max\u0026auto=format\u0026n=eBz-T3c5poQpcHLw\u0026q=85\u0026s=71de1fbacc2b8fde0d156f2b338babe6","dark":"https://mintcdn.com/keysecure-en/eBz-T3c5poQpcHLw/logo/KeySecure%20Logo%20-%20Original%201.svg?fit=max\u0026auto=format\u0026n=eBz-T3c5poQpcHLw\u0026q=85\u0026s=71de1fbacc2b8fde0d156f2b338babe6"},"favicon":"https://mintcdn.com/keysecure-en/eBz-T3c5poQpcHLw/logo/Frame%204.svg?fit=max\u0026auto=format\u0026n=eBz-T3c5poQpcHLw\u0026q=85\u0026s=00efbb9d98c4c337f3f0e700438c5d21","api":{"playground":{"display":"simple"},"mdx":{"server":"https://openapi.keysecure.io/"}},"appearance":{"default":"light","strict":true},"navbar":{"links":[{"href":"https://docs-cn.keysecure.io/","label":"ZH-CN"}],"primary":{"type":"button","label":"Official Website","href":"https://www.keysecure.io/"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"keysecure-en","hasAudioNarration":false,"actualSubdomain":"keysecure-en","customDomains":["docs-en.keysecure.io"],"gitSource":{"type":"github","owner":"chainup-custody","repo":"custody-docs","deployBranch":"keysecure","contentDirectory":"en","isPrivate":true,"mountPath":"","label":""},"chroma":{"latestBuiltDeploymentHistoryId":"6ae05a3d2af498ce6d6f5522","collectionId":"ffa1aa7f-be74-43d0-99ff-d45203d2f028","liveDeploymentHistoryId":"6ae05a3d2af498ce6d6f5522","schemaVersion":"v3"},"entitlements":{},"buildId":"6ae05a3d2af498ce6d6f5522","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"default","tag":"MPC Self-Custody","count":121},{"language":"default","tag":"API","count":92},{"language":"default","tag":"User Guide","count":55},{"language":"default","tag":"Full Custody","count":52},{"language":"default","tag":"API Interface","count":36},{"language":"default","tag":"Help Center","count":33},{"language":"default","tag":"API List","count":30},{"language":"default","tag":"Get Started","count":14},{"language":"default","tag":"Custody WAPI","count":12},{"language":"default","tag":"Introduction","count":11}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-references/mpc-apis/apis/tron/delegate-create","slug":"/api-references/mpc-apis/apis/tron/delegate-create","pageMetadata":{"title":"Purchase TRON Network Transaction Resources","api":"POST /api/mpc/tron/delegate","description":"Purchase TRON resources via API without burning TRX to complete the transaction.","href":"/api-references/mpc-apis/apis/tron/delegate-create"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Purchase TRON resources via API without burning TRX to complete the transaction.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,ol:`ol`,p:`p`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{Expandable,Heading,Note,ParamField,ResponseField,Tip}=_components;if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Tip)_missingMdxReference(`Tip`,true);return _jsxs(_Fragment,{children:[_jsx(Tip,{children:_jsxs(_components.p,{children:[`Before making a purchase, please refer to `,_jsx(_components.a,{href:`/api-references/mpc-apis/apis/tron/resource-shopping-guide`,children:`Purchase TRON Network Transaction Resources`}),` to complete all the necessary configurations.`]})}),`\n`,_jsx(Heading,{level:`4`,id:`request-parameters`,children:`Request Parameters`}),`\n`,_jsx(ParamField,{query:`request_id`,type:`string`,required:true,id:`param-request-id`,children:_jsxs(_components.p,{children:[`Unique business identifier. cannot be reused for repeated submissions. Maximum 32 characters, letters, numbers, underscores (`,_jsx(_components.code,{children:`_`}),`), and hyphens (`,_jsx(_components.code,{children:`-`}),`) only.`]})}),`\n`,_jsxs(ParamField,{query:`buy_type`,type:`integer`,id:`param-buy-type`,children:[_jsx(_components.p,{children:`0: System estimation - full delegation, 1: Specified quantity, 2: System estimation - supplementary delegation, default is 0 if not specified.`}),_jsxs(Note,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`All methods comply with minimum purchase value limits:`})}),_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`Minimum bandwidth purchase quantity: 300`}),`\n`,_jsx(_components.li,{children:`Minimum energy purchase quantity: 10,000`}),`\n`]}),_jsx(_components.p,{children:_jsx(_components.strong,{children:`1. System Estimation - Full delegation (buy_type=0)`})}),_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`Required fields: address_to and contract_address.`}),`\n`,_jsx(_components.li,{children:`he system will automatically estimate the total resources needed for the current transaction plus a certain buffer. For example, if the user requests an energy proxy for a USDT transfer and the system estimates the required energy to be 64,285, the purchase amount will be 64,285 + 115 = 64,400 to ensure the transaction is successfully completed.`}),`\n`,_jsx(_components.li,{children:`Note: The system estimation may be affected by Tron network fluctuations. If the transaction fails due to insufficient estimation, please switch to the Specified Quantity (buy_type=1) method.`}),`\n`]}),_jsx(_components.p,{children:_jsx(_components.strong,{children:`2. System estimation - supplementary delegation (buy_type=2)`})}),_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`Required fields: address_to and contract_address.`}),`\n`,_jsx(_components.li,{children:`This method only affects energy purchase quantities (bandwidth purchase estimation for buy_type=2 is the same as buy_type=0).`}),`\n`,_jsx(_components.li,{children:`The system will calculate the remaining energy required based on the current address balance and slightly supplement it to ensure successful transactions. For example, if the user requests an energy proxy for a USDT transfer and the system estimates the required energy to be 64,285 while the current address has 10,000 energy, the purchase amount will be 64,285 - 10,000 + 115 = 54,400 to ensure smooth completion.`}),`\n`,_jsx(_components.li,{children:`Note: The system estimation may be affected by Tron network fluctuations. If the transaction fails due to insufficient estimation, please switch to the Specified Quantity (buy_type=1) method.`}),`\n`]}),_jsx(_components.p,{children:_jsx(_components.strong,{children:`3. Specified quantity (buy_type=1)`})}),_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`Users can customize the resource purchase quantity.`}),`\n`]})]})]}),`\n`,_jsxs(ParamField,{query:`resource_type`,type:`integer`,id:`param-resource-type`,children:[_jsx(_components.p,{children:`Resource purchase type: 0: Energy and Bandwidth, 1: Energy, default if not specified`}),_jsxs(Note,{children:[_jsx(_components.p,{children:`If you choose to purchase bandwidth (resource_type=0), please note the following:`}),_jsx(_components.p,{children:`1.The minimum purchase quantity is 300.`}),_jsx(_components.p,{children:`2.Each bandwidth purchase order will incur a fixed additional fee of 560, which covers the bandwidth cost required for initiating delegation and recovery by the system. For example, if you request to purchase 600 bandwidth units, the total bandwidth amount for the order will be 600 + 560 = 1,160.`})]})]}),`\n`,_jsx(ParamField,{query:`service_charge_type`,type:`string`,required:true,id:`param-service-charge-type`,children:_jsx(_components.p,{children:`Resource purchase cycle:\n10010 - 10 minutes,\n20001 - 1 hour,\n30001 - 1 day`})}),`\n`,_jsxs(ParamField,{query:`energy_num`,type:`integer`,id:`param-energy-num`,children:[_jsx(_components.p,{children:`Energy Amount`}),_jsx(Note,{children:_jsxs(_components.ol,{children:[`\n`,_jsxs(_components.li,{children:[`\n`,_jsx(_components.p,{children:`If buy_type=1, please enter the specific amount of energy, with a minimum value of 10,000.`}),`\n`]}),`\n`,_jsxs(_components.li,{children:[`\n`,_jsx(_components.p,{children:`If buy_type=0 or 2, the quantity will be automatically provided by the system.`}),`\n`]}),`\n`]})})]}),`\n`,_jsxs(ParamField,{query:`net_num`,type:`integer`,id:`param-net-num`,children:[_jsx(_components.p,{children:`Bandwidth Amount`}),_jsx(Note,{children:_jsxs(_components.ol,{children:[`\n`,_jsxs(_components.li,{children:[`\n`,_jsx(_components.p,{children:`If buy_type=1, please enter the specific bandwidth amount, with a minimum value of 300.`}),`\n`]}),`\n`,_jsxs(_components.li,{children:[`\n`,_jsx(_components.p,{children:`If buy_type=0 or 2,, the quantity will be automatically provided by the system.`}),`\n`]}),`\n`,_jsxs(_components.li,{children:[`\n`,_jsx(_components.p,{children:`Please note that each bandwidth purchase order will incur a fixed additional fee of 560 to cover the bandwidth cost for system-initiated proxy and recovery processes. For example, if you enter a purchase amount of 600 bandwidth, the total bandwidth for the order will be 600 + 560 = 1160.`}),`\n`]}),`\n`]})})]}),`\n`,_jsx(ParamField,{query:`address_from`,type:`string`,required:true,id:`param-address-from`,children:_jsxs(_components.p,{children:[`The address that will receive the resources\n`,_jsx(Note,{children:`When buy_type=0 or 2, Please ensure that address_from holds the token corresponding to contract_dedress, otherwise the miner fee estimation will fail`})]})}),`\n`,_jsxs(ParamField,{query:`address_to`,type:`string`,id:`param-address-to`,children:[_jsx(_components.p,{children:`The transfer address for estimating miner fees.`}),_jsx(Note,{children:_jsxs(_components.p,{children:[`Required when selecting `,_jsx(_components.strong,{children:`buy_type=0`}),` or `,_jsx(_components.strong,{children:`buy_type=2`}),`.`]})})]}),`\n`,_jsxs(ParamField,{query:`contract_address`,type:`string`,id:`param-contract-address`,children:[_jsx(_components.p,{children:`Contract address for estimating miner fees.`}),_jsx(Note,{children:_jsxs(_components.p,{children:[`Required when selecting `,_jsx(_components.strong,{children:`buy_type=0`}),` or `,_jsx(_components.strong,{children:`buy_type=2`}),`.`]})})]}),`\n`,_jsx(Heading,{level:`4`,id:`response-parameters`,children:`Response Parameters`}),`\n`,_jsx(Expandable,{title:`object`,children:_jsx(ResponseField,{name:`trans_id`,type:`integer`,id:`param-trans-id`,children:`Purchase Resource Transaction ID`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Purchase TRON Network Transaction Resources","api":"POST /api/mpc/tron/delegate","description":"Purchase TRON resources via API without burning TRX to complete the transaction.","href":"/api-references/mpc-apis/apis/tron/delegate-create"}}},"mdxSourceWithNoJs":null,"noJsSplices":[[221,239,"pre:`pre`,span:`span`,strong:`strong`,ul"],[291,357,"CodeBlock,Expandable,Heading,Note,ParamField,RequestExample,ResponseExample,ResponseField,Tip}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);"],[565,577,"questExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)"],[8001,8016,",`\n`,_jsx(RequestExample,{children:_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`4`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`--url 'https://openapi.keysecure.io/`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`api/mpc/tron/delegate?app_id=16a9f17fc2ad61ca4339fdd6a8a37f21\u0026data=SWYYr-LBVAmaS0eq8n-CUT_nHkM3OBxyWOsImMTe41UaqAoYI2ZghmaphXHov-7hsRsVmOhyPqC-JFuRGvonJKFd2Jirxv6Vn_8V40r_MMYTkhqcviQbZWYW5xX8Ai8CIpqas9fIWVDIYA_NKBl0UCJpwGxscxLNpjq5Z8-BTyIYDsVBquM9zEQGBCfcA7szD9n2fN_loSkoexlwqV8wg9HIZO5yQ6utZ_Kt0lNDQQb8zn8BwfAvsEsbJlOINUAqhxh1vV_AJ4bXn2uYx8TaYcBht-n_ZcBdxIDt975dbOFUiH-oCzIuDi1oLDtb4EylfCvhU5E4ozel_lQ-6cyIG0Dqiiyx0RFFOCJzPSXIoV031pvoa8pTCpkWklh8mRw1rylBgeZtqSxpnJO2_u2RIlXq6Hs8Yly9CmhIXaSrUgPir0h6xVxlf4VC6PFVCkiiTlp0kZ_H_UbKm0nUis3v3U2sflWJ2C449waSrikhuxVrFAQ6PQmrFVCAE6MYXNrFXJQuam2HAIQNSGbFQjspw8b_bXyfyZMGZ3K2oBC4I_v3eETTdPe0pfSNJb-5g37K0tOAr_UFbWK8pkC8yl56fSjn8tcR3yCRWwoi8jxTcUBiswTtvXZtzgG4dyzkaHXjsZjSGiywXSqP76VZWlyOmAx6IDSViLcPLPISdU3ruCI'`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})}),`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:``,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"trans_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})})]})}function MD"]]},"mdxExtracts":{"tableOfContents":[{"title":"Request Parameters","slug":"request-parameters","depth":4,"children":[]},{"title":"Response Parameters","slug":"response-parameters","depth":4,"children":[]}],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"cURL","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"text\">\u003ccode language=\"text\" numberOfLines=\"4\">\u003cspan class=\"line\">\u003cspan>curl -X POST \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan>--url 'https://openapi.keysecure.io/\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan>api/mpc/tron/delegate?app_id=16a9f17fc2ad61ca4339fdd6a8a37f21\u0026#x26;data=SWYYr-LBVAmaS0eq8n-CUT_nHkM3OBxyWOsImMTe41UaqAoYI2ZghmaphXHov-7hsRsVmOhyPqC-JFuRGvonJKFd2Jirxv6Vn_8V40r_MMYTkhqcviQbZWYW5xX8Ai8CIpqas9fIWVDIYA_NKBl0UCJpwGxscxLNpjq5Z8-BTyIYDsVBquM9zEQGBCfcA7szD9n2fN_loSkoexlwqV8wg9HIZO5yQ6utZ_Kt0lNDQQb8zn8BwfAvsEsbJlOINUAqhxh1vV_AJ4bXn2uYx8TaYcBht-n_ZcBdxIDt975dbOFUiH-oCzIuDi1oLDtb4EylfCvhU5E4ozel_lQ-6cyIG0Dqiiyx0RFFOCJzPSXIoV031pvoa8pTCpkWklh8mRw1rylBgeZtqSxpnJO2_u2RIlXq6Hs8Yly9CmhIXaSrUgPir0h6xVxlf4VC6PFVCkiiTlp0kZ_H_UbKm0nUis3v3U2sflWJ2C449waSrikhuxVrFAQ6PQmrFVCAE6MYXNrFXJQuam2HAIQNSGbFQjspw8b_bXyfyZMGZ3K2oBC4I_v3eETTdPe0pfSNJb-5g37K0tOAr_UFbWK8pkC8yl56fSjn8tcR3yCRWwoi8jxTcUBiswTtvXZtzgG4dyzkaHXjsZjSGiywXSqP76VZWlyOmAx6IDSViLcPLPISdU3ruCI'\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan>\u003c/span>\u003c/span>\u003c/code>\u003c/pre>"}],"attributes":[]},"response":{"type":"ResponseExample","children":[{"filename":"","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"trans_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Purchase TRON Network Transaction Resources","path":"/api/mpc/tron/delegate","servers":[{"url":"https://openapi.keysecure.io/"}],"method":"post","request":{"security":[],"parameters":{"query":{"request_id":{"schema":[{"type":"string","description":"Unique business identifier. cannot be reused for repeated submissions. Maximum 32 characters, letters, numbers, underscores ( `_` ), and hyphens ( `-` ) only.","required":true}]},"buy_type":{"schema":[{"type":"integer","description":"0: System estimation - full delegation, 1: Specified quantity, 2: System estimation - supplementary delegation, default is 0 if not specified."}]},"resource_type":{"schema":[{"type":"integer","description":"Resource purchase type: 0: Energy and Bandwidth, 1: Energy, default if not specified"}]},"service_charge_type":{"schema":[{"type":"string","description":"Resource purchase cycle: 10010 - 10 minutes, 20001 - 1 hour, 30001 - 1 day","required":true}]},"energy_num":{"schema":[{"type":"integer","description":"Energy Amount"}]},"net_num":{"schema":[{"type":"integer","description":"Bandwidth Amount"}]},"address_from":{"schema":[{"type":"string","description":"The address that will receive the resources","required":true}]},"address_to":{"schema":[{"type":"string","description":"The transfer address for estimating miner fees."}]},"contract_address":{"schema":[{"type":"string","description":"Contract address for estimating miner fees."}]}},"header":{},"cookie":{},"path":{}},"body":{}},"response":{},"deprecated":false}},"jsLinks":[],"subdomain":"keysecure-en","siteName":"Keysecure","title":"Purchase TRON Network Transaction Resources - Keysecure","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-19T11:11:06.419Z","originalFileLocation":"api-references/mpc-apis/apis/tron/delegate-create.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=\"light\";if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Purchase TRON resources via API without burning TRX to complete the transaction.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Keysecure\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/keysecure-en/JqnpYvqb8v1MZ4qI/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/keysecure-en/JqnpYvqb8v1MZ4qI/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/keysecure-en/JqnpYvqb8v1MZ4qI/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/keysecure-en/JqnpYvqb8v1MZ4qI/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/keysecure-en/JqnpYvqb8v1MZ4qI/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/keysecure-en/JqnpYvqb8v1MZ4qI/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/keysecure-en/JqnpYvqb8v1MZ4qI/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/keysecure-en/JqnpYvqb8v1MZ4qI/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/keysecure-en/JqnpYvqb8v1MZ4qI/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Purchase TRON Network Transaction Resources - Keysecure\">\u003cmeta data-mint-head property=\"og:description\" content=\"Purchase TRON resources via API without burning TRX to complete the transaction.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Keysecure\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs-en.keysecure.io/api-references/mpc-apis/apis/tron/delegate-create\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://keysecure-en.mintlify.app/_mintlify/api/og/v2?division=Tron+Resource\u0026amp;title=Purchase+TRON+Network+Transaction+Resources\u0026amp;description=Purchase+TRON+resources+via+API+without+burning+TRX+to+complete+the+transaction.\u0026amp;theme=d32637eaef82f0a26a397c73\u0026amp;signature=5fc7df51755d9f600aac390aa72b86e159e5a1af682d5e7f8d6ff038d9fe6f78\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Purchase TRON Network Transaction Resources - Keysecure\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Purchase TRON resources via API without burning TRX to complete the transaction.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://keysecure-en.mintlify.app/_mintlify/api/og/v2?division=Tron+Resource\u0026amp;title=Purchase+TRON+Network+Transaction+Resources\u0026amp;description=Purchase+TRON+resources+via+API+without+burning+TRX+to+complete+the+transaction.\u0026amp;theme=d32637eaef82f0a26a397c73\u0026amp;signature=5fc7df51755d9f600aac390aa72b86e159e5a1af682d5e7f8d6ff038d9fe6f78\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/keysecure-en/JqnpYvqb8v1MZ4qI/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Keysecure\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#2662FF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs-en.keysecure.io/api-references/mpc-apis/apis/tron/delegate-create\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-references/mpc-apis/apis/tron/delegate-create.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs-en.keysecure.io/#organization\",\"name\":\"Keysecure\",\"url\":\"https://docs-en.keysecure.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/keysecure-en/eBz-T3c5poQpcHLw/logo/KeySecure%20Logo%20-%20Original%201.svg?fit=max\u0026auto=format\u0026n=eBz-T3c5poQpcHLw\u0026q=85\u0026s=71de1fbacc2b8fde0d156f2b338babe6\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs-en.keysecure.io#website\",\"name\":\"Keysecure\",\"url\":\"https://docs-en.keysecure.io\",\"publisher\":{\"@id\":\"https://docs-en.keysecure.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs-en.keysecure.io/api-references/mpc-apis/apis/tron/delegate-create#webpage\",\"url\":\"https://docs-en.keysecure.io/api-references/mpc-apis/apis/tron/delegate-create\",\"name\":\"Purchase TRON Network Transaction Resources\",\"description\":\"Purchase TRON resources via API without burning TRX to complete the transaction.\",\"dateModified\":\"2026-10-19T11:11:06.419Z\",\"isPartOf\":{\"@id\":\"https://docs-en.keysecure.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs-en.keysecure.io/api-references/mpc-apis/apis/tron/delegate-create#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs-en.keysecure.io/api-references/mpc-apis/apis/tron/delegate-create#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"MPC Self-Custody\",\"item\":\"https://docs-en.keysecure.io/api-references/mpc-apis/guide/overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"API Interface\",\"item\":\"https://docs-en.keysecure.io/api-references/mpc-apis/apis/description\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Tron Resource\",\"item\":\"https://docs-en.keysecure.io/api-references/mpc-apis/apis/tron/resource-shopping-guide\"},{\"@type\":\"ListItem\",\"position\":4,\"name\":\"Purchase TRON Network Transaction Resources\",\"item\":\"https://docs-en.keysecure.io/api-references/mpc-apis/apis/tron/delegate-create\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs-en.keysecure.io/api-references/mpc-apis/apis/tron/delegate-create#apireference\",\"headline\":\"Purchase TRON Network Transaction Resources\",\"name\":\"Purchase TRON Network Transaction Resources\",\"description\":\"Purchase TRON resources via API without burning TRX to complete the transaction.\",\"url\":\"https://docs-en.keysecure.io/api-references/mpc-apis/apis/tron/delegate-create\",\"mainEntityOfPage\":{\"@id\":\"https://docs-en.keysecure.io/api-references/mpc-apis/apis/tron/delegate-create#webpage\"},\"dateModified\":\"2026-10-19T11:11:06.419Z\",\"publisher\":{\"@id\":\"https://docs-en.keysecure.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs-en.keysecure.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Keysecure\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Keysecure","nav":{"global":null,"tabs":[{"tab":"Introduction","pages":[{"title":"Introduction","href":"/introduction/overview/custody-solution"}]},{"tab":"Get Started","pages":[{"title":"Get Started","href":"/quick-start/overview/quickstart"}]},{"tab":"API","groups":[{"group":"Introduction to APIs","pages":[{"title":"Keysecure APIs","href":"/api-references/intro/custody-apis"}]},{"group":"MPC Self-Custody","pages":[{"group":"Integration Guide","pages":[{"title":"Overview","href":"/api-references/mpc-apis/guide/overview"},{"title":"Open Account","href":"/api-references/mpc-apis/guide/create-account"},{"title":"Preparation","href":"/api-references/mpc-apis/guide/function-set"},{"title":"Integration Testing","href":"/api-references/mpc-apis/guide/test-flow"}]},{"group":"API Interface","pages":[{"title":"Overview","href":"/api-references/mpc-apis/apis/description"},{"group":"Workspace","pages":[{"title":"Get Supported Networks","api":"GET /api/mpc/wallet/open_coin","href":"/api-references/mpc-apis/apis/wallet/open-coin"},{"title":"Get MPC Workspace Coin Details","api":"GET /api/mpc/coin_list","href":"/api-references/mpc-apis/apis/wallet/coin-list"},{"title":"Get Latest Block Height","api":"GET /api/mpc/chain_height","href":"/api-references/mpc-apis/apis/wallet/chain-height"},{"title":"Estimated Mining Fee For Transfer","api":"GET /v2/chain/minerfee","href":"/api-references/mpc-apis/apis/wallet/minner-fee"}]},{"group":"Wallet","pages":[{"title":"Create wallet","api":"POST /api/mpc/sub_wallet/create","href":"/api-references/mpc-apis/apis/sub-wallet/subwallet-create"},{"title":"Create Wallet Address","api":"POST /api/mpc/sub_wallet/create/address","href":"/api-references/mpc-apis/apis/sub-wallet/subwallet-create-address"},{"title":"Query Wallet Address","api":"POST /api/mpc/sub_wallet/get/address/list","href":"/api-references/mpc-apis/apis/sub-wallet/subwallet-get-address"},{"title":"Get Wallet Assets","api":"GET /api/mpc/sub_wallet/assets","href":"/api-references/mpc-apis/apis/sub-wallet/subwallet-assets"},{"title":"Modify the Wallet Display Status","api":"POST /api/mpc/sub_wallet/change_show_status","href":"/api-references/mpc-apis/apis/sub-wallet/subwallet-show-status"},{"title":"Verify Address Information","api":"GET /api/mpc/sub_wallet/address/info","href":"/api-references/mpc-apis/apis/sub-wallet/subwallet-address-info"}]},{"group":"Transfer (Withdrawal)","pages":[{"title":"Transfer (Withdrawal)","api":"POST /api/mpc/billing/withdraw","href":"/api-references/mpc-apis/apis/withdraw/withdraw"},{"title":"Get Transfer Records","api":"GET /api/mpc/billing/withdraw_list","href":"/api-references/mpc-apis/apis/withdraw/withdraw-list"},{"title":"Synchronize Transfer Records","api":"GET /api/mpc/billing/sync_withdraw_list","href":"/api-references/mpc-apis/apis/withdraw/withdraw-sync-list"},{"title":"Accelerate Transfer (Withdrawal)","api":"POST /api/mpc/billing/withdraw_accelerate","href":"/api-references/mpc-apis/apis/withdraw/withdraw-accelerate"}]},{"group":"Receiving (Deposit)","pages":[{"title":"Get Receiving records","api":"GET /api/mpc/billing/deposit_list","href":"/api-references/mpc-apis/apis/deposit/deposit-list"},{"title":"Sync Receiving record","api":"GET /api/mpc/billing/sync_deposit_list","href":"/api-references/mpc-apis/apis/deposit/deposit-sync-list"}]},{"group":"Auto Sweep","pages":[{"title":"Get Auto-Sweep Wallets","api":"GET /api/mpc/auto_collect/sub_wallets","href":"/api-references/mpc-apis/apis/consolidation/consolidation-subwallet"},{"title":"Configure Auto-Sweep for Coin","api":"POST /api/mpc/billing/auto_collect/symbol/set","href":"/api-references/mpc-apis/apis/consolidation/consolidation-symbol-set"},{"title":"Sync Auto Sweeping Records","api":"GET /api/mpc/billing/sync_auto_collect_list","href":"/api-references/mpc-apis/apis/consolidation/consolidation-sync-list"}]},{"group":"Web3 Transaction","pages":[{"title":"Create Web3 Transaction","api":"POST /api/mpc/web3/trans/create","href":"/api-references/mpc-apis/apis/web3/web3-create"},{"title":"Web3 Transaction Speed Up","api":"POST /api/mpc/web3/pending","href":"/api-references/mpc-apis/apis/web3/web3-pending"},{"title":"Get Web3 Transaction Records","api":"GET /api/mpc/web3/trans_list","href":"/api-references/mpc-apis/apis/web3/web3-record-list"},{"title":"Sync Web3 Transaction Records","api":"GET /api/mpc/web3/sync_trans_list","href":"/api-references/mpc-apis/apis/web3/web3-record-sync-list"}]},{"group":"NFT","pages":[{"title":"Get NFT Information","api":"POST /api/nft/info","href":"/api-references/mpc-apis/apis/nft/nft-info"}]},{"group":"Babylon","pages":[{"title":"Stake","api":"POST /api/mpc/babylon/stake","href":"/api-references/mpc-apis/apis/babylon/stake"},{"title":"Unstake","api":"POST /api/mpc/babylon/unstake","href":"/api-references/mpc-apis/apis/babylon/unstake"},{"title":"Unbond","api":"POST /api/mpc/babylon/unbond","href":"/api-references/mpc-apis/apis/babylon/unbond"},{"title":"Get stake record list","api":"GET /api/mpc/babylon/stake_list","href":"/api-references/mpc-apis/apis/babylon/stake-list"},{"title":"Get stake record details","api":"GET /api/mpc/babylon/details","href":"/api-references/mpc-apis/apis/babylon/stake-details"},{"title":"Get stake record details","api":"GET /api/mpc/babylon/details_by_request_id","href":"/api-references/mpc-apis/apis/babylon/stake-details-by-req-id"}]},{"group":"Tron Resource","pages":[{"title":"Purchase TRON resources on the Keysecure platform.","description":null,"href":"/api-references/mpc-apis/apis/tron/resource-shopping-guide"},{"title":"Purchase TRON Network Transaction Resources","api":"POST /api/mpc/tron/delegate","href":"/api-references/mpc-apis/apis/tron/delegate-create"},{"title":"Obtain transaction records for purchasing Tron resources","api":"GET /api/mpc/tron/delegate/trans_list","description":"Retrieve transaction records of tron resource purchases for all wallet specific IDs under the wrokspace","href":"/api-references/mpc-apis/apis/tron/delegate-record-list"},{"title":"Synchronize Tron purchasing resource transaction records","api":"GET /api/mpc/tron/delegate/sync_trans_list","href":"/api-references/mpc-apis/apis/tron/delegate-record-sync-list"},{"title":"Tron Resource Purchase Asynchronous Notification","href":"/api-references/mpc-apis/apis/tron/tron-notify"}]}]},{"group":"Transaction Callback Notification","pages":[{"title":"Overview","href":"/api-references/mpc-apis/notify/description"},{"title":"Receive Asynchronous Notification","href":"/api-references/mpc-apis/notify/deposit"},{"title":"Transfer Asynchronous Notification","href":"/api-references/mpc-apis/notify/withdraw"},{"title":"Web3 Transaction Asynchronous Notification","href":"/api-references/mpc-apis/notify/web3"},{"title":"Tron Resource Purchase Asynchronous Notification","href":"/api-references/mpc-apis/notify/tron"}]},{"group":"Co-Signer","pages":[{"title":"Overview","href":"/api-references/mpc-apis/co-signer/flow"},{"group":"Co-Signer Callback","pages":[{"title":"Transfer(Withdrawal) Callback","api":"POST /{custom-url}","href":"/api-references/mpc-apis/co-signer/callback/withdraw"},{"title":"Web3 Transaction Callback","api":"POST /{custom-url}","href":"/api-references/mpc-apis/co-signer/callback/web3"}]},{"title":"Co-Signer Transaction Signature Verification","href":"/api-references/mpc-apis/co-signer/sign-verify"},{"title":"Co-Signer Deployment","href":"/api-references/mpc-apis/co-signer/deploy"}]},{"title":"Error Code","href":"/api-references/mpc-apis/err-code"},{"title":"SDK","href":"/api-references/mpc-apis/sdk"}]},{"group":"Full Custody","pages":[{"title":"Access Guidelines","href":"/api-references/custody-apis/guide"},{"title":"Integration","href":"/api-references/custody-apis/scheme"},{"title":"Getting Started","href":"/api-references/custody-apis/prepare"},{"title":"SDK","href":"/api-references/custody-apis/sdk"},{"group":"API List","pages":[{"title":"Overview","href":"/api-references/custody-apis/apis/description"},{"group":"Get Address","pages":[{"title":"Mobile Registration","href":"/api-references/custody-apis/apis/get-address/create-user"},{"title":"Email Registration","href":"/api-references/custody-apis/apis/get-address/register-email"},{"title":"Address of the User-specified Coin","href":"/api-references/custody-apis/apis/get-address/get-deposit-address"},{"title":"Verify Address Information","href":"/api-references/custody-apis/apis/get-address/get-address-info"}]},{"group":"Account Balance","pages":[{"title":"Query User Information","href":"/api-references/custody-apis/apis/account-assets/user-info"},{"title":"List of Supported Coins","href":"/api-references/custody-apis/apis/account-assets/coin-list"},{"title":"Account Information for Specified User","href":"/api-references/custody-apis/apis/account-assets/get-account"},{"title":"Balance of Merchant Omnibus Account","href":"/api-references/custody-apis/apis/account-assets/get-balance"}]},{"group":"User Deposit","pages":[{"title":"Synchronize Deposit Records","href":"/api-references/custody-apis/apis/user-deposit/deposit-sync-list"},{"title":"Batch Access Depositing Records","href":"/api-references/custody-apis/apis/user-deposit/deposit-list"},{"title":"Nonsync Callback Notification for User Deposit","href":"/api-references/custody-apis/apis/user-deposit/deposit-notify"},{"title":"Sweeping Miner Fees","href":"/api-references/custody-apis/apis/user-deposit/minerfee-list"}]},{"group":"User Withdrawal","pages":[{"title":"Initiate Withdraw","href":"/api-references/custody-apis/apis/user-withdraw/withdraw"},{"title":"Second Confirmation of Eithdrawal Information","href":"/api-references/custody-apis/apis/user-withdraw/withdraw-confirm"},{"title":"Asynchronous Callback Notification of User Withdrawal","href":"/api-references/custody-apis/apis/user-withdraw/withdraw-notify"},{"title":"Synchronize Withdrawal Records","href":"/api-references/custody-apis/apis/user-withdraw/withdraw-sync-list"},{"title":"Batch Access to Withdrawal Records","href":"/api-references/custody-apis/apis/user-withdraw/withdraw-list"}]},{"group":"Internal Transfer","pages":[{"title":"Cuystod Merchant Transfer","href":"/api-references/custody-apis/apis/company-transfer/company-transfer"},{"title":"Asynchronous Confirmation of Transfer Information","href":"/api-references/custody-apis/apis/company-transfer/company-transfer-check-sum"},{"title":"Batch Query Merchant Transfer Records","href":"/api-references/custody-apis/apis/company-transfer/company-transfer-list"},{"title":"Synchronous Merchant Transfer Record","href":"/api-references/custody-apis/apis/company-transfer/company-transfer-sync-list"}]}]},{"title":"Error Code","href":"/api-references/custody-apis/err-code"}]},{"group":"Custody WAPI","pages":[{"title":"Getting Started","href":"/api-references/bass-apis/prepare"},{"title":"Integration","href":"/api-references/bass-apis/scheme"},{"title":"SDK","href":"/api-references/bass-apis/sdk"},{"group":"API List","pages":[{"title":"Overview","href":"/api-references/bass-apis/apis/description"},{"title":"Register Address","api":"POST /api/v1/address/register","href":"/api-references/bass-apis/apis/address-register"},{"title":"Available Address","api":"POST /api/v1/address/available","href":"/api-references/bass-apis/apis/address-available"},{"title":"Deposit Notification","api":"POST /api/v1/deposit/notify","href":"/api-references/bass-apis/apis/deposit-notify"},{"title":"Withdrawal","api":"POST /api/v1/withdraw/consume","href":"/api-references/bass-apis/apis/withdraw-consume"},{"title":"Withdrawal Notification","api":"POST /api/v1/withdraw/notify","href":"/api-references/bass-apis/apis/withdraw-notify"},{"title":"Internal Notification","api":"POST /api/v1/internal/notify","href":"/api-references/bass-apis/apis/internal-notify"},{"title":"Callback Withdrawals Interface","api":"POST /api/v1/withdraw/cancel","href":"/api-references/bass-apis/apis/withdraw-cancel"}]},{"title":"Error Code","href":"/api-references/bass-apis/err-code"}]}]},{"tab":"Help Center","pages":[{"title":"Help Center","href":"/help-center/introduction/manage-custody"}]},{"tab":"User Guide","pages":[{"title":"User Guide","href":"/user-guide/mpc-wallet/account/password"}]}]},"basePath":"","title":"Purchase TRON Network Transaction Resources - Keysecure","buildId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","deploymentId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-CS552b7R.js","utils-DDTCYAF2.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-De8ttokP.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DrwRDvAh.js","snippetPresets-DtAN0nWx.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-D5rWArI6.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-O2i12wsz.js","shallow-DV8xABTt.js","getApiPlaygroundDisplay-DBZ0B5Jx.js","CodeSnippet-BVi0tPUX.js","CodeSnippets-CqASbIwY.js","Page-m07pfKpT.js","getPastedJson-DG9vsMS8.js","icon-CXzRSCr8.js","MethodPill-BdKVtEuX.js","DuplicateIcon-CZlmBrJI.js","createIcon-biFEUKPL.js","DynamicMarkdown-B54_zNBF.js","SectionHeading-DwwHK3Pt.js","axios-vUo_bRtp.js"]}